Page 1 of 1

Fehler bei sudo apt-get upgrade und beim installieren von Aktualisierungen

Posted: Sun Dec 16, 2018 1:03 pm
by DiegoMint1
Hallo liebe Mint Community,

vielleicht kann mir ja hier jemand weiterhelfen. Ich habe Linux Mint Rosa 17.3 Cinnamon 32 GB.
Wenn ich sudo apt-get upgrade im Terminal eingebe, kommt neuerdings folgende Fehlermeldung, die auch erscheint, wenn Aktualisierungen installiert werden sollen:

Code: Select all

sudo apt-get upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete sind zurückgehalten worden:
  linux-generic-lts-xenial linux-headers-generic-lts-xenial
  linux-image-generic-lts-xenial
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 3 nicht aktualisiert.
3 nicht vollständig installiert oder entfernt.
Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] J
linux-image-extra-4.4.0-139-generic (4.4.0-139.165~14.04.1) wird eingerichtet ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-139-generic /boot/vmlinuz-4.4.0-139-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-139-generic /boot/vmlinuz-4.4.0-139-generic
Error! Bad return status for module build on kernel: 4.4.0-139-generic (i686)
Consult /var/lib/dkms/ndiswrapper/1.59/build/make.log for more information.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-139-generic /boot/vmlinuz-4.4.0-139-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-139-generic
Warning: No support for locale: de_DE.utf8

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-139-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: Fehler beim Bearbeiten des Paketes linux-image-extra-4.4.0-139-generic (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von linux-image-generic-lts-xenial:
 linux-image-generic-lts-xenial hängt ab von linux-image-extra-4.4.0-139-generic; aber:
  Paket linux-image-extra-4.4.0-139-generic ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes linux-image-generic-lts-xenial (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von linux-generic-lts-xenial:
 linux-generic-lts-xenial hängt ab von linux-image-generic-lts-xenial (= 4.4.0.139.119); aber:
  Paket linux-image-generic-lts-xenial ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes linux-generic-lts-xenial (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
Fehler traten auf beim Bearbeiten von:
 linux-image-extra-4.4.0-139-generic
 linux-image-generic-lts-xenial
 linux-generic-lts-xenial
E: Sub-process /usr/bin/dpkg returned an error code (1)
Vielen Dank fuer eure Hilfe.

Grüße vom Dirk :*)

Re: Fehler bei sudo apt-get upgrade und beim installieren von Aktualisierungen

Posted: Sun Dec 16, 2018 1:08 pm
by Moem
DiegoMint1 wrote:
Sun Dec 16, 2018 1:03 pm
...
gzip: stdout: No space left on device
...
Hallo,
Hast du das bemerkt?

Re: Fehler bei sudo apt-get upgrade und beim installieren von Aktualisierungen

Posted: Sun Dec 16, 2018 1:43 pm
by ehtron
Hi :)
in der aktualisierungsverwaltung > anzeigen > linux kernel
ältere installierte und nicht mehr gebrauchte kernel entfernen.

Re: Fehler bei sudo apt-get upgrade und beim installieren von Aktualisierungen

Posted: Mon Dec 17, 2018 6:01 pm
by DiegoMint1
Hallo Danke bis hier hin,

ich habe bemerktt, dass boot ploetzlich Hunder Prozent des Speichers beansprucht. Ich weiß allerdings nicht, wodurch das zustande gekommen ist und wie ich das wieder beheben kann. Beim letzten Mal habe ich das System komplett neu installiert und alle Daren komplett neu draufgespielt. Der Aufwand ist mir aber zu gross. Ich weiß leider nicht welvhe alten Kernels ich bedenkenlos loeschen kann und welchen Kernel ich benoetige. Außerdem weiß ich auch nicht, wie ich das anstellen soll, ohme Gefahr zu laufen, mir das gesamte System wieder zu zerschiessen. Eine detaillierte und einfach zu verstehende Verfahrensmoeglichkeit wäre schön. Vielleicht ja auch mit Terminalbefehlen.

Vielleicht macht sich ja jemand die Muehe mit mir. Ich waere in jedem Fall sehr dankbar fuer Hilfe.

LG an die Community vom Dirk ;*)

Re: Fehler bei sudo apt-get upgrade und beim installieren von Aktualisierungen

Posted: Mon Dec 17, 2018 7:08 pm
by ehtron
Hi :)
häufig sind automatisch installierte kerne die ursache...

du kannst alle alte installierte kernel entfernen... der aktive läuft ja.

hier ne weitere info von mir zum thema
https://www.ehlertronic.de/linux/tipps- ... .html#c658

Re: Fehler bei sudo apt-get upgrade und beim installieren von Aktualisierungen

Posted: Mon Dec 17, 2018 7:15 pm
by gm10
Wenn Du mit den Hinweisen oben alleine nicht weiter kommst, dann poste bitte mal, was der Befehl hier ausgibt:

Code: Select all

inxi -SP 

Re: Fehler bei sudo apt-get upgrade und beim installieren von Aktualisierungen

Posted: Tue Dec 18, 2018 4:45 pm
by frosh
Installier dir mal purge-old-kernels. Damit kannst du alle Kernel außer den aktuell benutzen und den davor löschen.

Re: Fehler bei sudo apt-get upgrade und beim installieren von Aktualisierungen

Posted: Sat Dec 22, 2018 6:19 pm
by DiegoMint1
Danke fuer die Hilfe. Das mit dem loeschen der alten Kernels war die lösung. :*)

Re: Fehler bei sudo apt-get upgrade und beim installieren von Aktualisierungen

Posted: Sun Dec 23, 2018 8:30 am
by ehtron
Hi :)
dann hast du hoffentlich, wie beschrieben, nun die kernel-automatik ausgeschaltet ;)